cURL
curl --request POST \
--url https://app.example.com/v1/admin/catalog/book \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"quoteId": "<string>",
"draftId": "<string>",
"bookingId": "<string>",
"party": {},
"paymentIntent": {
"type": "hold",
"tokenizedCard": "<string>",
"agencyAccount": "<string>"
},
"parameters": {},
"idempotencyKey": "<string>"
}'const response = await fetch("https://app.example.com/v1/admin/catalog/book", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
},
body: JSON.stringify({
"quoteId": "<string>",
"draftId": "<string>",
"bookingId": "<string>",
"party": {},
"paymentIntent": {
"type": "hold",
"tokenizedCard": "<string>",
"agencyAccount": "<string>"
},
"parameters": {},
"idempotencyKey": "<string>"
}),
});
const data = await response.json();import requests
response = requests.post(
"https://app.example.com/v1/admin/catalog/book",
headers={
"Authorization": "Bearer <token>"
},
json={
"quoteId": "<string>",
"draftId": "<string>",
"bookingId": "<string>",
"party": {},
"paymentIntent": {
"type": "hold",
"tokenizedCard": "<string>",
"agencyAccount": "<string>"
},
"parameters": {},
"idempotencyKey": "<string>"
}
)
data = response.json()
{
"bookingId": "<string>",
"orderRef": "<string>",
"status": "held",
"snapshotId": "<string>",
"pricing": {
"currency": "<string>",
"lines": [
{}
],
"taxes": [
{}
],
"subtotal": 123,
"taxTotal": 123,
"total": 123
}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}Catalog
Commit a quote to a booking
Convert a quote or draft into a booking. Supply either quoteId or draftId. Supports an idempotency key to de-duplicate retries within 24h.
POST
/
v1
/
admin
/
catalog
/
book
cURL
Authorizations
Staff session or API token issued by your Voyant app.
Body
application/json
⌘I